// gnome.xonotic.in.ua

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/digestion/digbinah
{
	{
		map textures/digestion/dignamefire.tga
		rgbgen identity
		tcmod scroll 0.5 1
		tcmod turb 0 0.16 0 1.5
		tcmod scale 1 1
	}
	{
		map textures/digestion/digbinah.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/digestion/digbump
{
	qer_editorimage textures/digestion/digteleblue.tga
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 3000
	{
		clampmap textures/digestion/digtele.tga
		tcmod scale 0.5 0.5
		tcmod stretch sin 2 1.5 1 0.5
		tcmod rotate 45
	}
	{
		clampmap textures/digestion/digteleblue.tga
		blendfunc filter
		tcmod scale 0.4 0.4
		tcmod stretch sin 2 1.2 1 0.7
		tcmod rotate -30
	}
}

textures/digestion/diggeburah
{
	{
		map textures/digestion/dignamefire.tga
		rgbgen identity
		tcmod scroll 0.5 1
		tcmod turb 0 0.16 0 1.5
		tcmod scale 1 1
	}
	{
		map textures/digestion/diggeburah.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/digestion/digplasma
{
	qer_editorimage textures/digestion/digplasma.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 900
	{
		map textures/digestion/digplasma.tga
		blendfunc add
		rgbgen wave sin 1 1 0 2
		tcmod scale -2 2
		tcmod scroll 0.1 1
		tcmod rotate 30
	}
	{
		map textures/digestion/digplasmac.tga
		blendfunc add
		rgbgen wave triangle 1 2 0 5
		tcmod scale 1 1
		tcmod scroll 0.5 1
	}
	{
		map textures/digestion/digplasma.tga
		blendfunc add
		rgbgen wave triangle 1 1 0 0.5
		tcmod scale 1 1
		tcmod scroll -1 1
	}
	{
		map textures/digestion/digplasmab.tga
		blendfunc add
		rgbgen wave sin 1 1.2 0 3
		tcmod scale -2 2
		tcmod scroll 0.2 1
	}
}

textures/digestion/digtele
{
	qer_editorimage textures/digestion/digteleblue.tga
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 900
	{
		clampmap textures/digestion/digtele.tga
		tcmod scale 0.3 0.3
		tcmod stretch sin 2 1 1 0.25
		tcmod rotate 30
	}
	{
		clampmap textures/digestion/digteleblue.tga
		blendfunc add
		tcmod scale 0.3 0.3
		tcmod stretch sin 2 1 1 0.15
		tcmod rotate -20
	}
}

textures/digestion/digtele_r
{
	qer_editorimage textures/digestion/digtele.tga
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 900
	{
		clampmap textures/digestion/digtele.tga
		tcmod scale 0.3 0.3
		tcmod stretch sin 2 1 1 0.25
		tcmod rotate 30
	}
	{
		clampmap textures/digestion/digteleblue.tga
		blendfunc add
		tcmod scale 0.3 0.3
		tcmod stretch sin 2 1 1 0.15
		tcmod rotate -20
	}
}

textures/skies/killsky
{
	qer_editorimage textures/skies/stars.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		tcmod scroll 0.05 .1
		tcmod scale 2 2
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.06
		tcmod scale 3 2
	}
}

